## org.eclipse.emf.compare.ui.util
Interface EMFCompareConstants

    public interface EMFCompareConstants

Defines constants used throughout EMF Compare's UI.

Field Summary
`static int` `ANCESTOR` Three-way change constant (value 3) indicating the ancestor.
`static int` `ENABLE_ANCESTOR` Constant (value 12) allowing enablement of the "show ancestor" action.
`static java.lang.String` `ICONS_PREFERENCES_HELP` Full path of the preferences help icon.
`static int` `LEFT` Three-way change constant (value 1) indicating the left side.
`static int` `NO_CHANGE` Difference constant (value 0) indicating no difference.
`static org.eclipse.swt.graphics.RGB` `PREFERENCES_DEFAULT_ADDED_COLOR` Default color (green) for an added element circling.
`static org.eclipse.swt.graphics.RGB` `PREFERENCES_DEFAULT_CHANGED_COLOR` Default color (blue) for a modified element circling.
`static org.eclipse.swt.graphics.RGB` `PREFERENCES_DEFAULT_CONFLICTING_COLOR` Default color (orange) for a conflicting element circling.
`static org.eclipse.swt.graphics.RGB` `PREFERENCES_DEFAULT_HIGHLIGHT_COLOR` Default color (light yellow) for changes background.
`static org.eclipse.swt.graphics.RGB` `PREFERENCES_DEFAULT_REMOVED_COLOR` Default color (red) for a removed element circling.
`static int` `PREFERENCES_DEFAULT_SEARCH_WINDOW` Deprecated. use `EMFComparePreferenceConstants.PREFERENCES_DEFAULT_SEARCH_WINDOW` instead.
`static java.lang.String` `PREFERENCES_DESCRIPTION_ADDED_COLOR` Preferences description for the added element color.
`static java.lang.String` `PREFERENCES_DESCRIPTION_CHANGED_COLOR` Preferences description for the changed element color.
`static java.lang.String` `PREFERENCES_DESCRIPTION_CONFLICTING_COLOR` Preferences description for the conflicting element color.
`static java.lang.String` `PREFERENCES_DESCRIPTION_DISTINCT_METAMODEL` Preferences description for the boolean indicating that the comparison should assume the compared models have distinct metamodels.
`static java.lang.String` `PREFERENCES_DESCRIPTION_DRAW_DIFFERENCES` Preferences description for the boolean indicating that the differences markers have to be drawn.
`static java.lang.String` `PREFERENCES_DESCRIPTION_ENGINE_SELECTION` Preferences description for the engine selection.
`static java.lang.String` `PREFERENCES_DESCRIPTION_HIGHLIGHT_COLOR` Preferences description for the highlight color.
`static java.lang.String` `PREFERENCES_DESCRIPTION_IGNORE_ID` Preferences description for the boolean indicating that the comparison should ignore IDs.
`static java.lang.String` `PREFERENCES_DESCRIPTION_IGNORE_XMIID` Preferences description for the boolean indicating that the comparison should ignore XMI IDs.
`static java.lang.String` `PREFERENCES_DESCRIPTION_REMOVED_COLOR` Preferences description for the removed element color.
`static java.lang.String` `PREFERENCES_DESCRIPTION_SEARCH_WINDOW` Preferences description for the siblings search window.
`static java.lang.String` `PREFERENCES_KEY_ADDED_COLOR` Preferences key for the circling color of an added element.
`static java.lang.String` `PREFERENCES_KEY_CHANGED_COLOR` Preferences key for the circling color of a changed element.
`static java.lang.String` `PREFERENCES_KEY_CONFLICTING_COLOR` Preferences key for the circling color of a changed element.
`static java.lang.String` `PREFERENCES_KEY_DRAW_DIFFERENCES` Preferences key for the boolean indicating that the differences markers have to be drawn.
`static java.lang.String` `PREFERENCES_KEY_HIGHLIGHT_COLOR` Preferences key for the highlight color.
`static java.lang.String` `PREFERENCES_KEY_REMOVED_COLOR` Preferences key for the circling color of a removed element.
`static java.lang.String` `PROPERTY_COMPARISON_TIME` Key for the property associated with the comparison time.
`static java.lang.String` `PROPERTY_CONTENT_INPUT_CHANGED` Key of the property associated with an input change in the content viewer.
`static java.lang.String` `PROPERTY_CONTENT_SELECTION` Key of the property associated with a change in the content merge viewer trees' selection.
`static java.lang.String` `PROPERTY_STRUCTURE_SELECTION` Key of the property associated with a selection in the structure merge viewer.
`static int` `RIGHT` Three-way change constant (value 2) indicating right side.

Field Detail

### ANCESTOR

    static final int ANCESTOR

  Three-way change constant (value 3) indicating the ancestor.

  See Also:
    Constant Field Values

### ENABLE_ANCESTOR

    static final int ENABLE_ANCESTOR

  Constant (value 12) allowing enablement of the "show ancestor" action.

  See Also:
    Constant Field Values

### ICONS_PREFERENCES_HELP

    static final java.lang.String ICONS_PREFERENCES_HELP

  Full path of the preferences help icon.

  See Also:
    Constant Field Values

### LEFT

    static final int LEFT

  Three-way change constant (value 1) indicating the left side.

  See Also:
    Constant Field Values

### NO_CHANGE

    static final int NO_CHANGE

  Difference constant (value 0) indicating no difference.

  See Also:
    Constant Field Values

### PREFERENCES_DEFAULT_ADDED_COLOR

    static final org.eclipse.swt.graphics.RGB PREFERENCES_DEFAULT_ADDED_COLOR

  Default color (green) for an added element circling.

### PREFERENCES_DEFAULT_CHANGED_COLOR

    static final org.eclipse.swt.graphics.RGB PREFERENCES_DEFAULT_CHANGED_COLOR

  Default color (blue) for a modified element circling.

### PREFERENCES_DEFAULT_CONFLICTING_COLOR

    static final org.eclipse.swt.graphics.RGB PREFERENCES_DEFAULT_CONFLICTING_COLOR

  Default color (orange) for a conflicting element circling.

### PREFERENCES_DEFAULT_HIGHLIGHT_COLOR

    static final org.eclipse.swt.graphics.RGB PREFERENCES_DEFAULT_HIGHLIGHT_COLOR

  Default color (light yellow) for changes background.

### PREFERENCES_DEFAULT_REMOVED_COLOR

    static final org.eclipse.swt.graphics.RGB PREFERENCES_DEFAULT_REMOVED_COLOR

  Default color (red) for a removed element circling.

### PREFERENCES_DEFAULT_SEARCH_WINDOW

    @Deprecated
    static final int PREFERENCES_DEFAULT_SEARCH_WINDOW

  Deprecated. use `EMFComparePreferenceConstants.PREFERENCES_DEFAULT_SEARCH_WINDOW` instead.
  Default value for the siblings search window.

  See Also:
    Constant Field Values

### PREFERENCES_DESCRIPTION_ADDED_COLOR

    static final java.lang.String PREFERENCES_DESCRIPTION_ADDED_COLOR

  Preferences description for the added element color.

### PREFERENCES_DESCRIPTION_CHANGED_COLOR

    static final java.lang.String PREFERENCES_DESCRIPTION_CHANGED_COLOR

  Preferences description for the changed element color.

### PREFERENCES_DESCRIPTION_CONFLICTING_COLOR

    static final java.lang.String PREFERENCES_DESCRIPTION_CONFLICTING_COLOR

  Preferences description for the conflicting element color.

### PREFERENCES_DESCRIPTION_ENGINE_SELECTION

    static final java.lang.String PREFERENCES_DESCRIPTION_ENGINE_SELECTION

  Preferences description for the engine selection.

### PREFERENCES_DESCRIPTION_DISTINCT_METAMODEL

    static final java.lang.String PREFERENCES_DESCRIPTION_DISTINCT_METAMODEL

  Preferences description for the boolean indicating that the comparison should assume the compared models have distinct metamodels.

### PREFERENCES_DESCRIPTION_DRAW_DIFFERENCES

    static final java.lang.String PREFERENCES_DESCRIPTION_DRAW_DIFFERENCES

  Preferences description for the boolean indicating that the differences markers have to be drawn.

### PREFERENCES_DESCRIPTION_HIGHLIGHT_COLOR

    static final java.lang.String PREFERENCES_DESCRIPTION_HIGHLIGHT_COLOR

  Preferences description for the highlight color.

### PREFERENCES_DESCRIPTION_IGNORE_ID

    static final java.lang.String PREFERENCES_DESCRIPTION_IGNORE_ID

  Preferences description for the boolean indicating that the comparison should ignore IDs.

### PREFERENCES_DESCRIPTION_IGNORE_XMIID

    static final java.lang.String PREFERENCES_DESCRIPTION_IGNORE_XMIID

  Preferences description for the boolean indicating that the comparison should ignore XMI IDs.

### PREFERENCES_DESCRIPTION_REMOVED_COLOR

    static final java.lang.String PREFERENCES_DESCRIPTION_REMOVED_COLOR

  Preferences description for the removed element color.

### PREFERENCES_DESCRIPTION_SEARCH_WINDOW

    static final java.lang.String PREFERENCES_DESCRIPTION_SEARCH_WINDOW

  Preferences description for the siblings search window.

### PREFERENCES_KEY_ADDED_COLOR

    static final java.lang.String PREFERENCES_KEY_ADDED_COLOR

  Preferences key for the circling color of an added element.

  See Also:
    Constant Field Values

### PREFERENCES_KEY_CHANGED_COLOR

    static final java.lang.String PREFERENCES_KEY_CHANGED_COLOR

  Preferences key for the circling color of a changed element.

  See Also:
    Constant Field Values

### PREFERENCES_KEY_CONFLICTING_COLOR

    static final java.lang.String PREFERENCES_KEY_CONFLICTING_COLOR

  Preferences key for the circling color of a changed element.

  See Also:
    Constant Field Values

### PREFERENCES_KEY_DRAW_DIFFERENCES

    static final java.lang.String PREFERENCES_KEY_DRAW_DIFFERENCES

  Preferences key for the boolean indicating that the differences markers have to be drawn.

  See Also:
    Constant Field Values

### PREFERENCES_KEY_HIGHLIGHT_COLOR

    static final java.lang.String PREFERENCES_KEY_HIGHLIGHT_COLOR

  Preferences key for the highlight color.

  See Also:
    Constant Field Values

### PREFERENCES_KEY_REMOVED_COLOR

    static final java.lang.String PREFERENCES_KEY_REMOVED_COLOR

  Preferences key for the circling color of a removed element.

  See Also:
    Constant Field Values

### PROPERTY_COMPARISON_TIME

    static final java.lang.String PROPERTY_COMPARISON_TIME

  Key for the property associated with the comparison time.

  See Also:
    Constant Field Values

### PROPERTY_CONTENT_INPUT_CHANGED

    static final java.lang.String PROPERTY_CONTENT_INPUT_CHANGED

  Key of the property associated with an input change in the content viewer.

  See Also:
    Constant Field Values

### PROPERTY_CONTENT_SELECTION

    static final java.lang.String PROPERTY_CONTENT_SELECTION

  Key of the property associated with a change in the content merge viewer trees' selection.

  See Also:
    Constant Field Values

### PROPERTY_STRUCTURE_SELECTION

    static final java.lang.String PROPERTY_STRUCTURE_SELECTION

  Key of the property associated with a selection in the structure merge viewer.

  See Also:
    Constant Field Values

### RIGHT

    static final int RIGHT

  Three-way change constant (value 2) indicating right side.

  See Also:
    Constant Field Values

Copyright 2006 IBM Corporation and others. All Rights Reserved.